From 04287d1bb3b7c028bcdf4cc05d2c2151e4e6bc63 Mon Sep 17 00:00:00 2001
From: Toralf Niebuhr <gmthor85@aim.com>
Date: Sat, 27 Feb 2010 20:52:20 +0100
Subject: [PATCH 5/5] removed some signedness warnings

---
 modules/video_filter/deinterlace.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/video_filter/deinterlace.c b/modules/video_filter/deinterlace.c
index a810fb0..2d130f1 100644
--- a/modules/video_filter/deinterlace.c
+++ b/modules/video_filter/deinterlace.c
@@ -75,7 +75,7 @@ static void RenderMean   ( vout_thread_t *, picture_t *, picture_t * );
 static void RenderBlend  ( vout_thread_t *, picture_t *, picture_t * );
 static void RenderLinear ( vout_thread_t *, picture_t *, picture_t *, int );
 static void RenderX      ( picture_t *, picture_t * );
-static void RenderYadif  ( vout_thread_t *, picture_t *, picture_t *, int, int );
+static void RenderYadif  ( vout_thread_t *, picture_t *, picture_t *, unsigned, unsigned );
 
 static void MergeGeneric ( void *, const void *, const void *, size_t );
 #if defined(CAN_COMPILE_C_ALTIVEC)
@@ -1822,7 +1822,7 @@ typedef intptr_t x86_reg;
 /* yadif.h comes from vf_yadif.c of mplayer project */
 #include "yadif.h"
 
-static void RenderYadif( vout_thread_t *p_vout, picture_t *p_dst, picture_t *p_src, int i_order, int i_field )
+static void RenderYadif( vout_thread_t *p_vout, picture_t *p_dst, picture_t *p_src, unsigned i_order, unsigned i_field )
 {
     vout_sys_t *p_sys = p_vout->p_sys;
 
-- 
1.6.6.1

